This discussion is archived
0 Replies Latest reply: Nov 20, 2012 8:10 PM by 776455 RSS

upgrade issue from apex 4.0 to 4.1.1

776455 Newbie
Currently Being Moderated
Dear all expert,

I'm facing an problem on execute sys.dbms_network_acl_admin package after upgrade from apex 4.0 to apex 4.1.1 in Oracle XE 11g R2.
After checking, i found the "XDB.PATH_VIEW" view have compilation error, this cause the sys.dbms_network_acl_admin package failed to compile as well.

My upgrading step as below (apex 4.0 to apex 4.1.1):
1. Drop apex_040000 user by execute "drop user apex_040000 cascade"
2. Drop user flows files by execute "drop user flows_files cascade"
3. I rename existing apex folder (apex 4.0) to apex 2 from c:\oraclexe\app\oracle\product\11.2.0\server.
4. I copy apex folder for apex 4.1.1 (download from oracle website) into c:\oraclexe\app\oracle\product\11.2.0\server.
5. i start activate apex by execute "@apexins.sql", "@apxldimg.sql" and "@apex_epg_config.sql"

Above are the steps that i used to upgrade my apex 4.0 to apex 4.1.1. "sys.dbms_network_acl_admin" package failed to compile after i run "@apexins.sql".

Can anyone advice on how to solve the problem above or what is the way to upgrade apex 4.0 to apex 4.1.1?

Thanks a lot in advance!

Best regards,
Apex Junior

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points